Main Page | Modules | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | Related Pages

# SoWrapperKit Class Reference
[Node Kits]

`#include <Inventor/nodekits/SoWrapperKit.h>`

Inheritance diagram for SoWrapperKit:

List of all members.

## Detailed Description

The SoWrapperKit class is a simple kit for wrapping a transform and a sub-graph.

Node kit structure (new entries versus parent class marked with arrow prefix):

      CLASS SoWrapperKit
      -->"this"
            "callbackList"
            "topSeparator"
               "pickStyle"
               "appearance"
               "units"
               "transform"
               "texture2Transform"
               "childList"
      -->      "localTransform"
      -->      "contents"

(See SoBaseKit::printDiagram() for information about the output formatting.)

Detailed information on catalog parts:

      CLASS SoWrapperKit
      PVT   "this",  SoWrapperKit  ---
            "callbackList",  SoNodeKitListPart [ SoCallback, SoEventCallback ]
      PVT   "topSeparator",  SoSeparator  ---
            "pickStyle",  SoPickStyle  ---
            "appearance",  SoAppearanceKit  ---
            "units",  SoUnits  ---
            "transform",  SoTransform  ---
            "texture2Transform",  SoTexture2Transform  ---
            "childList",  SoNodeKitListPart [ SoShapeKit, SoSeparatorKit ]
            "localTransform",  SoTransform  ---
            "contents",  SoSeparator  ---

(See SoBaseKit::printTable() for information about the output formatting.)

## Public Member Functions
| SoWrapperKit (void)
## Static Public Member Functions
void | initClass (void)
## Protected Member Functions
virtual | ~SoWrapperKit ()

## Constructor & Destructor Documentation

SoWrapperKit::SoWrapperKit | ( | void |  | ) |

| Constructor.

SoWrapperKit::~SoWrapperKit | ( |  | ) | `[protected, virtual]`

| Destructor.

## Member Function Documentation

void SoWrapperKit::initClass | ( | void |  | ) | `[static]`

| Does initialization common for all objects of the SoSeparatorKit class. This includes setting up the type system, among other things. Reimplemented from SoSeparatorKit.

The documentation for this class was generated from the following files:

- SoWrapperKit.h
- SoWrapperKit.cpp